Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Obsolete Members for QIcon

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QIcon class reference

## Public Functions

int | serialNumber () const`(obsolete)`

## Member Function Documentation

### int QIcon::serialNumber () const

Returns a number that identifies the contents of this QIcon object. Distinct QIcon objects can have the same serial number if they refer to the same contents (but they don't have to). Also, the serial number of a QIcon object may change during its lifetime.

Use cacheKey() instead.

A null icon always has a serial number of 0.

Serial numbers are mostly useful in conjunction with caching.

See also QPixmap::serialNumber().